<template>
    <div class="flex flex-col overflow-x-hidden mx-2">
      <div class="flex gap-x-1 items-center mb-2" :class="{'px-2' : isMobile}">
        <img
          class="w-[24px] h-[24px]"
          :src="getAssetImage(`assets/theme/playful/images/cup.svg`)"
          />
        <span class="font-bold text-sm capitalize --text2">{{ $t('24H Big Win')  }}</span>
      </div>
      <div class="big-win-list-container overflow-hidden" :class="{ 'big-win-list-mobile mb-4': isMobile }">
        <el-scrollbar :class="isMobile && 'big-win-scroller'">
        <div class="flex gap-2 justify-between">
            <template  v-for="index in 5" :key="index">
              <lazy-theme-desktop-playful-components-big-win v-if="!bigWinImage(index)?.IsHidden" :background-image="bigWinImage(index)?.ImagePath" />
            </template>
          </div>
        </el-scrollbar>
      </div>
    </div>
</template>

<script lang="ts" setup>
import { store } from '~~/store';

const { getAssetImage } = commonHelper;
const isMobile = !useIsDesktop();

const themeProperties = computed(() => store.state.companyThemePropertiesFromApi.ThemeProperties);

const bigWinImage = (index: number) => {
    return themePropertyHelper.getSingleThemeProperty(
        themeProperties.value,
        `big_win_${index}`
      )
}
</script>

<style lang="scss" scoped>
.big-win-list-container {
  position: relative;
  overflow-x: hidden;

  .big-win-scroller {  
    &:after,  
    &:before {
      content: '';
      position: absolute;
      height: 100%;
      width: 24px;
      filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#020024",endColorstr="#000000",GradientType=1);
      z-index: 9;
    }

    &:before {
      top: 0;
      left: -7px;
      background: rgb(var(--background2_nonrgb));
      background: -moz-linear-gradient(90deg, rgba(var(--background2_nonrgb),1) 0%, rgba(0,0,0,0) 100%);
      background: -webkit-linear-gradient(90deg, rgba(var(--background2_nonrgb),1) 0%, rgba(0,0,0,0) 100%);
      background: linear-gradient(90deg, rgba(var(--background2_nonrgb),1) 0%, rgba(0,0,0,0) 100%);
    }

    &:after {
      top: 0;
      right: -7px;
      background: rgb(var(--background2_nonrgb));
      background: -moz-linear-gradient(90deg, rgba(var(--background2_nonrgb),0) 0%, rgba(0,0,0,1) 100%);
      background: -webkit-linear-gradient(90deg, rgba(var(--background2_nonrgb),0) 0%, rgba(0,0,0,1) 100%);
      background: linear-gradient(90deg, rgba(var(--background2_nonrgb),0) 0%, rgba(0,0,0,1) 100%);
    }
  }
} 
</style> 